# The booking timeline in order, from a cursor

`GET /bookings/events` · Rivier · bookings

The booking timeline in order, from a cursor.

- Scope: bookings:read
- Mcp: rivier_booking_events
- Graphql: Query.bookingEvents
- Sdk: bookings.event.list
- Cli: bookings event list

## Parameters

- `bookingId` (query), string
- `after` (query), integer
- `limit` (query), integer

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X GET 'https://api.rivier.ai/bookings/events' \
  -H 'Authorization: Bearer $KEY'
```
